## ros-iron-moveit-py 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(moveit_py)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclpy REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(moveit_ros_planning_interface REQUIRED)
find_package(moveit_core REQUIRED)
find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
find_package(pybind11_vendor REQUIRED)
find_package(pybind11 REQUIRED)

# enables using the Python extensions from the build space for testing
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/test_moveit/__init__.py" "")

add_subdirectory(src/moveit/moveit_py_utils)

ament_python_install_package(moveit)

# Set the build location and install location for a CPython extension
function(configure_build_install_location _library_name)
    # Install into test_moveit folder in build space for unit tests to import
    set_target_properties(${_library_name} PROPERTIES
        # Use generator expression to avoid prepending a build type specific directory on Windows
        LIBRARY_OUTPUT_DIRECTORY $<1:${CMAKE_CURRENT_BINARY_DIR}/test_moveit>
        RUNTIME_OUTPUT_DIRECTORY $<1:${CMAKE_CURRENT_BINARY_DIR}/test_moveit>)

    install(TARGETS ${_library_name}
    DESTINATION "${PYTHON_INSTALL_DIR}/moveit"
  )
endfunction()

pybind11_add_module(core
	src/moveit/core.cpp
	src/moveit/moveit_core/collision_detection/collision_common.cpp
	src/moveit/moveit_core/collision_detection/collision_matrix.cpp
	src/moveit/moveit_core/collision_detection/world.cpp
	src/moveit/moveit_core/controller_manager/controller_manager.cpp
	src/moveit/moveit_core/kinematic_constraints/utils.cpp
	src/moveit/moveit_core/planning_interface/planning_response.cpp
	src/moveit/moveit_core/planning_scene/planning_scene.cpp
	src/moveit/moveit_core/transforms/transforms.cpp
	src/moveit/moveit_core/robot_model/joint_model.cpp
	src/moveit/moveit_core/robot_model/joint_model_group.cpp
	src/moveit/moveit_core/robot_model/robot_model.cpp
	src/moveit/moveit_core/robot_state/robot_state.cpp
	src/moveit/moveit_core/robot_trajectory/robot_trajectory.cpp
	)
target_link_libraries(core PRIVATE moveit_ros_planning::moveit_cpp
				   rclcpp::rclcpp
				   moveit_core::moveit_transforms
				   moveit_core::moveit_kinematic_constraints
				   moveit_core::moveit_planning_interface
				   moveit_core::moveit_planning_scene
				   moveit_core::moveit_utils
				   moveit_core::moveit_robot_model
				   moveit_core::moveit_robot_state
				   moveit_py_utils)
configure_build_install_location(core)

pybind11_add_module(planning
	src/moveit/planning.cpp
        src/moveit/moveit_ros/moveit_cpp/moveit_cpp.cpp
	src/moveit/moveit_ros/moveit_cpp/planning_component.cpp
	src/moveit/moveit_ros/planning_scene_monitor/planning_scene_monitor.cpp
	)
target_link_libraries(planning PRIVATE moveit_ros_planning::moveit_cpp
				       moveit_ros_planning::moveit_planning_scene_monitor
				       moveit_core::moveit_utils
				       rclcpp::rclcpp
				       moveit_py_utils)
configure_build_install_location(planning)


if(BUILD_TESTING)
  find_package(ament_cmake_pytest REQUIRED)
  set(_pytest_tests
    test/unit/test_robot_model.py
    test/unit/test_robot_state.py
  )
  foreach(_test_path ${_pytest_tests})
	  get_filename_component(_test_name ${_test_path} NAME_WE)
	  ament_add_pytest_test(${_test_name} ${_test_path}
	  APPEND_ENV AMENT_PREFIX_INDEX=${ament_index_build_path} PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
	  TIMEOUT 60
	  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
   	  )
  endforeach()
endif()

ament_export_targets(moveit_py_utilsTargets HAS_LIBRARY_TARGET)
ament_export_dependencies(moveit_ros_planning_interface)
ament_package()

=== debian/changelog ===
ros-iron-moveit-py (2.8.0-1jammy) jammy; urgency=high

  * Fix moveit_py rclcpp::init() (#2223 <https://github.com/ros-planning/moveit2/issues/2223>)
    * Fix moveit_py rclcpp::init()
    Rclcpp has been initialized without args which was problematic
    for some use cases like clock simulation. Parameters like
    use_sim_time:=true need to be passed to rclcpp, also
    NodeOptions access the global rcl state on construction.
    Co-authored-by: Jafar Uruç <mailto:jafar.uruc@gmail.com>
  * Export moveit_py_utils' cmake target (#2207 <https://github.com/ros-planning/moveit2/issues/2207>)
  * fix typo in name
  * Contributors: Henning Kayser, Michael Görner, Robert Haschke

 -- Peter David Fagan <peterdavidfagan@gmail.com>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-py (2.7.4-1jammy) jammy; urgency=high

  * Rename named_target_state_values to get_named_target_state_values (#2181 <https://github.com/ros-planning/moveit2/issues/2181>)
  * Deprecate MoveItCpp::execute() use of blocking flag (#1984 <https://github.com/ros-planning/moveit2/issues/1984>)
  * Add Python binding for link_model_names and get_only_one_end_effector_tip + update stubs (#1985 <https://github.com/ros-planning/moveit2/issues/1985>)
  * Contributors: Jafar, Lucas Wendland

 -- Peter David Fagan <peterdavidfagan@gmail.com>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-py (2.7.3-1jammy) jammy; urgency=high



 -- Peter David Fagan <peterdavidfagan@gmail.com>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-py (2.7.2-1jammy) jammy; urgency=high

  * Fix Formatting in Python Documentation (#2085 <https://github.com/ros-planning/moveit2/issues/2085>)
    * fix formatting in docs
    * Fix clang-tidy warnings
    ---------
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Update moveit_py 'get_planning_scene_monitor' to return NonConst (#2098 <https://github.com/ros-planning/moveit2/issues/2098>)
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
  * Fix MoveItCpp issues (port from MoveIt1) (#2001 <https://github.com/ros-planning/moveit2/issues/2001>)
    * Fix MoveitCpp's const member accessors
    They should return a ConstPtr instead of a const Ptr&!
    * Fix SEVERE ClassLoader warning when releasing MoveItCpp
    - PSM was released before copy of its RobotModel -> removed extra RobotModel copy
    - clearContents() was broken:
    - resets in wrong order: psm_ should be last
    - trajectory_execution_manager_ was missing
    I suggest to omit clearContents() and rely on the (correct) ordering of member variables.
    While this is not explicit, we ensure that we don't miss any newly added member variable.
    Fix: https://github.com/ros-planning/moveit2/issues/1597
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@tuta.io>
    Co-authored-by: JafarAbdi <mailto:jafar.uruc@gmail.com>
  * Extract parallel planning from moveit cpp (#2043 <https://github.com/ros-planning/moveit2/issues/2043>)
    * Add parallel_planning_interface
    * Add parallel planning interface
    * Rename package to pipeline_planning_interface
    * Move plan_responses_container into own header + source file
    * Add plan_responses_contrainer source file
    * Add solution selection and stopping criterion function files
    * Remove parallel planning from moveit_cpp
    * Move parallel planning into planning package
    * Update moveit_cpp
    * Drop planning_interface changes
    * Add documentation
    * Update other moveit packages
    * Remove removed header
    * Address CI complains
    * Address clang-tidy complains
    * Address clang-tidy complains 2
    * Address clang-tidy complains 3
    * Extract planning pipeline map creation function from moveit_cpp
    * Cleanup comment
    * Use const moveit::core::RobotModelConstPtr&
    * Formatting
    * Add header descriptions
    * Remove superfluous TODOs
    * Cleanup
  * moveit_py citation (#2029 <https://github.com/ros-planning/moveit2/issues/2029>)
  * Added set_robot_trajectory_msg to python bindings (#2050 <https://github.com/ros-planning/moveit2/issues/2050>)
  * Contributors: Jens Vanhooydonck, Peter David Fagan, Robert Haschke, Sebastian Jahr

 -- Peter David Fagan <peterdavidfagan@gmail.com>  Mon, 17 Apr 2023 22:00:00 -0000

=== debian/control ===
Source: ros-iron-moveit-py
Section: misc
Priority: optional
Maintainer: Peter David Fagan <peterdavidfagan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-iron-ament-cmake, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-geometry-msgs, ros-iron-moveit-core, ros-iron-moveit-ros-planning, ros-iron-moveit-ros-planning-interface, ros-iron-octomap-msgs, ros-iron-pybind11-vendor, ros-iron-rclcpp, ros-iron-rclpy, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-moveit-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ament-index-python, ros-iron-geometry-msgs, ros-iron-moveit-core, ros-iron-moveit-ros-planning, ros-iron-moveit-ros-planning-interface, ros-iron-octomap-msgs, ros-iron-rclcpp, ros-iron-rclpy, ros-iron-ros-workspace
Description: Python binding for MoveIt 2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-moveit-py//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
